Docs Replicate official format /replicate/v1/models/riffusion/riffusion/predictions
API reference

Create task riffusion/riffusion

Official document: https://replicate.com/riffusion/riffusion

POST/replicate/v1/models/riffusion/riffusion/predictions

Body Parametersapplication/json

input object

Input content

properties
alpha number

If two hints are used, alpha is interpolated. A value of 0 means full use of prompt_a, a value of 1 means full use of prompt_b. Default value: 0.5. Minimum value: 0, maximum value: 1.

denoising number

How much to transform the input spectrogram. Default value: 0.75. Minimum value: 0, maximum value: 1.

num_inference_steps integer

Number of steps to run the diffusion model. Default value: 50. Minimum: 1.

prompt_a string

Audio prompts.

prompt_b string

The second prompt is interpolated from the first prompt, or left blank if no interpolation is performed.

seed_image_id string

Seed / reference image ID

version string

Version

Responses

200 application/json
response-200 object
properties
created_at string

Creation time

data_removed boolean

Whether sensitive data has been removed

error string nullable

Error message

id* string

Resource or task ID

input object

Input content

logs string

Run logs

model string

Model name / model ID

output string nullable

Output result

status* string

Status

urls object

List of resource URLs

version string

Version

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"input": {
3"alpha": 0.5,
4"denoising": 0.75,
5"num_inference_steps": 50,
6"prompt_a": "funky synth solo",
7"prompt_b": "90's rap",
8"seed_image_id": "vibes"
9},
10"version": "8cf61ea6c56afd61d8f5b9ffd14d7c216c0a93844ce2d82ac1c9ecc9c7f24e05"
11}
Code Sample cURL
1curl -X POST "https://api.digislash.com/replicate/v1/models/riffusion/riffusion/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"alpha": 0.5,
7"denoising": 0.75,
8"num_inference_steps": 50,
9"prompt_a": "funky synth solo",
10"prompt_b": "90's rap",
11"seed_image_id": "vibes"
12},
13"version": "8cf61ea6c56afd61d8f5b9ffd14d7c216c0a93844ce2d82ac1c9ecc9c7f24e05"
14}'
Response
1▼{
2"created_at": "2025-07-12T07:27:54.577Z",
3"data_removed": false,
4"id": "w44zs9cet5rmc0cqzp49gpkhf8",
5▼"input": {
6"aspect_ratio": "match_input_image",
7"input_image": "https://replicate.delivery/xezq/XfwWjHJ7HfrmXE6ukuLVEpXWfeQ3PQeRI5mApuLXRxST7XMmC/tmpc91tlq20.png",
8"output_format": "jpg",
9"prompt": "Make the letters 3D, floating in space on a city street",
10"prompt_upsampling": false,
11"safety_tolerance": 2
12},
13"logs": "",
14"model": "black-forest-labs/flux-kontext-dev",
15"status": "starting",
16▼"urls": {
17"cancel": "https://api.replicate.com/v1/predictions/w44zs9cet5rmc0cqzp49gpkhf8/cancel",
18"get": "https://api.replicate.com/v1/predictions/w44zs9cet5rmc0cqzp49gpkhf8",
19"stream": "https://stream.replicate.com/v1/files/bcwr-h7bu76ujftxzwih5u35puoysogps56mqvpvjz4nrxskhfe7ks42a",
20"web": "https://replicate.com/p/w44zs9cet5rmc0cqzp49gpkhf8"
21},
22"version": "hidden"
23}